Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.calendar.schema
Interface RuleType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface RuleType

extends XmlObject

An XML ruleType(@http://www.bea.com/wli/calendar/schema). This is a complex type.

Nested Class Summary
`static class` | `RuleType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`DateType` | `addNewDate()` Appends and returns a new empty "date" element
`DateRangeType` | `addNewDateRange()` Appends and returns a new empty "dateRange" element
`DayType` | `addNewDay()` Appends and returns a new empty "day" element
`DateType` | `getDate()` Gets the "date" element
`DateRangeType` | `getDateRange()` Gets the "dateRange" element
`DayType` | `getDay()` Gets the "day" element
`FreeBusyFlagType.Enum` | `getFreeBusyFlag()` Gets the "freeBusyFlag" element
`int` | `getOrder()` Gets the "order" element
`boolean` | `isSetDate()` True if has "date" element
`boolean` | `isSetDateRange()` True if has "dateRange" element
`boolean` | `isSetDay()` True if has "day" element
`boolean` | `isSetOrder()` True if has "order" element
`void` | `setDate(DateType date)` Sets the "date" element
`void` | `setDateRange(DateRangeType dateRange)` Sets the "dateRange" element
`void` | `setDay(DayType day)` Sets the "day" element
`void` | `setFreeBusyFlag(FreeBusyFlagType.Enum freeBusyFlag)` Sets the "freeBusyFlag" element
`void` | `setOrder(int order)` Sets the "order" element
`void` | `unsetDate()` Unsets the "date" element
`void` | `unsetDateRange()` Unsets the "dateRange" element
`void` | `unsetDay()` Unsets the "day" element
`void` | `unsetOrder()` Unsets the "order" element
`FreeBusyFlagType` | `xgetFreeBusyFlag()` Gets (as xml) the "freeBusyFlag" element
`XmlInt` | `xgetOrder()` Gets (as xml) the "order" element
`void` | `xsetFreeBusyFlag(FreeBusyFlagType freeBusyFlag)` Sets (as xml) the "freeBusyFlag" element
`void` | `xsetOrder(XmlInt order)` Sets (as xml) the "order" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getOrder

    int getOrder()

  Gets the "order" element

### xgetOrder

    XmlInt xgetOrder()

  Gets (as xml) the "order" element

### isSetOrder

    boolean isSetOrder()

  True if has "order" element

### setOrder

    void setOrder(int order)

  Sets the "order" element

### xsetOrder

    void xsetOrder(XmlInt order)

  Sets (as xml) the "order" element

### unsetOrder

    void unsetOrder()

  Unsets the "order" element

### getFreeBusyFlag

    FreeBusyFlagType.Enum getFreeBusyFlag()

  Gets the "freeBusyFlag" element

### xgetFreeBusyFlag

    FreeBusyFlagType xgetFreeBusyFlag()

  Gets (as xml) the "freeBusyFlag" element

### setFreeBusyFlag

    void setFreeBusyFlag(FreeBusyFlagType.Enum freeBusyFlag)

  Sets the "freeBusyFlag" element

### xsetFreeBusyFlag

    void xsetFreeBusyFlag(FreeBusyFlagType freeBusyFlag)

  Sets (as xml) the "freeBusyFlag" element

### getDate

    DateType getDate()

  Gets the "date" element

### isSetDate

    boolean isSetDate()

  True if has "date" element

### setDate

    void setDate(DateType date)

  Sets the "date" element

### addNewDate

    DateType addNewDate()

  Appends and returns a new empty "date" element

### unsetDate

    void unsetDate()

  Unsets the "date" element

### getDay

    DayType getDay()

  Gets the "day" element

### isSetDay

    boolean isSetDay()

  True if has "day" element

### setDay

    void setDay(DayType day)

  Sets the "day" element

### addNewDay

    DayType addNewDay()

  Appends and returns a new empty "day" element

### unsetDay

    void unsetDay()

  Unsets the "day" element

### getDateRange

    DateRangeType getDateRange()

  Gets the "dateRange" element

### isSetDateRange

    boolean isSetDateRange()

  True if has "dateRange" element

### setDateRange

    void setDateRange(DateRangeType dateRange)

  Sets the "dateRange" element

### addNewDateRange

    DateRangeType addNewDateRange()

  Appends and returns a new empty "dateRange" element

### unsetDateRange

    void unsetDateRange()

  Unsets the "dateRange" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD